## CallsDBusObjectManagerClient CallsDBusObjectManagerClient |

## Functions

GDBusInterfaceInfo * | calls_dbus_calls_call_interface_info ()
guint | calls_dbus_calls_call_override_properties ()
void | calls_dbus_calls_call_complete_accept ()
void | calls_dbus_calls_call_complete_hangup ()
void | calls_dbus_calls_call_complete_send_dtmf ()
void | calls_dbus_calls_call_complete_silence ()
void | calls_dbus_calls_call_call_accept ()
gboolean | calls_dbus_calls_call_call_accept_finish ()
gboolean | calls_dbus_calls_call_call_accept_sync ()
void | calls_dbus_calls_call_call_hangup ()
gboolean | calls_dbus_calls_call_call_hangup_finish ()
gboolean | calls_dbus_calls_call_call_hangup_sync ()
void | calls_dbus_calls_call_call_send_dtmf ()
gboolean | calls_dbus_calls_call_call_send_dtmf_finish ()
gboolean | calls_dbus_calls_call_call_send_dtmf_sync ()
void | calls_dbus_calls_call_call_silence ()
gboolean | calls_dbus_calls_call_call_silence_finish ()
gboolean | calls_dbus_calls_call_call_silence_sync ()
gboolean | calls_dbus_calls_call_get_inbound ()
void | calls_dbus_calls_call_set_inbound ()
guint | calls_dbus_calls_call_get_state ()
void | calls_dbus_calls_call_set_state ()
const gchar * | calls_dbus_calls_call_get_id ()
gchar * | calls_dbus_calls_call_dup_id ()
void | calls_dbus_calls_call_set_id ()
const gchar * | calls_dbus_calls_call_get_display_name ()
gchar * | calls_dbus_calls_call_dup_display_name ()
void | calls_dbus_calls_call_set_display_name ()
const gchar * | calls_dbus_calls_call_get_image_path ()
gchar * | calls_dbus_calls_call_dup_image_path ()
void | calls_dbus_calls_call_set_image_path ()
const gchar * | calls_dbus_calls_call_get_protocol ()
gchar * | calls_dbus_calls_call_dup_protocol ()
void | calls_dbus_calls_call_set_protocol ()
gboolean | calls_dbus_calls_call_get_encrypted ()
void | calls_dbus_calls_call_set_encrypted ()
gboolean | calls_dbus_calls_call_get_can_dtmf ()
void | calls_dbus_calls_call_set_can_dtmf ()
GVariant * | calls_dbus_calls_call_get_hints ()
GVariant * | calls_dbus_calls_call_dup_hints ()
void | calls_dbus_calls_call_set_hints ()
void | calls_dbus_calls_call_proxy_new ()
CallsDBusCallsCall * | calls_dbus_calls_call_proxy_new_finish ()
CallsDBusCallsCall * | calls_dbus_calls_call_proxy_new_sync ()
void | calls_dbus_calls_call_proxy_new_for_bus ()
CallsDBusCallsCall * | calls_dbus_calls_call_proxy_new_for_bus_finish ()
CallsDBusCallsCall * | calls_dbus_calls_call_proxy_new_for_bus_sync ()
CallsDBusCallsCall * | calls_dbus_calls_call_skeleton_new ()
CallsDBusCallsCall * | calls_dbus_object_get_calls_call ()
CallsDBusCallsCall * | calls_dbus_object_peek_calls_call ()
CallsDBusObjectProxy * | calls_dbus_object_proxy_new ()
CallsDBusObjectSkeleton * | calls_dbus_object_skeleton_new ()
void | calls_dbus_object_skeleton_set_calls_call ()
GType | calls_dbus_object_manager_client_get_proxy_type ()
void | calls_dbus_object_manager_client_new ()
GDBusObjectManager * | calls_dbus_object_manager_client_new_finish ()
GDBusObjectManager * | calls_dbus_object_manager_client_new_sync ()
void | calls_dbus_object_manager_client_new_for_bus ()
GDBusObjectManager * | calls_dbus_object_manager_client_new_for_bus_finish ()
GDBusObjectManager * | calls_dbus_object_manager_client_new_for_bus_sync ()

## Properties

gboolean | can-dtmf | Read / Write
char * | display-name | Read / Write
gboolean | encrypted | Read / Write
GVariant * | hints | Read / Write
char * | id | Read / Write
char * | image-path | Read / Write
gboolean | inbound | Read / Write
char * | protocol | Read / Write
guint | state | Read / Write
CallsDBusCallsCall * | calls-call | Read / Write

## Signals

gboolean | handle-accept | Run Last
gboolean | handle-hangup | Run Last
gboolean | handle-send-dtmf | Run Last
gboolean | handle-silence | Run Last

## Types and Values

struct | CallsDBusCallsCallIface
struct | CallsDBusCallsCallProxy
struct | CallsDBusCallsCallProxyClass
struct | CallsDBusCallsCallSkeleton
struct | CallsDBusCallsCallSkeletonClass
struct | CallsDBusObjectIface
struct | CallsDBusObjectProxy
struct | CallsDBusObjectProxyClass
struct | CallsDBusObjectSkeleton
struct | CallsDBusObjectSkeletonClass
struct | CallsDBusObjectManagerClient
struct | CallsDBusObjectManagerClientClass
| CallsDBusCallsCall
| CallsDBusCallsCallProxyPrivate
| CallsDBusCallsCallSkeletonPrivate
| CallsDBusObject
| CallsDBusObjectManagerClientPrivate
| CallsDBusObjectProxyPrivate
| CallsDBusObjectSkeletonPrivate

## Object Hierarchy

        GInterface
        ├── CallsDBusCallsCall
        ╰── CallsDBusObject
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── CallsDBusCallsCallSkeleton
        ├── GDBusObjectManagerClient
        │   ╰── CallsDBusObjectManagerClient
        ├── GDBusObjectProxy
        │   ╰── CallsDBusObjectProxy
        ├── GDBusObjectSkeleton
        │   ╰── CallsDBusObjectSkeleton
        ╰── GDBusProxy
            ╰── CallsDBusCallsCallProxy

## Prerequisites

CallsDBusCallsCall requires GObject.

CallsDBusObject requires GDBusObject and GObject.

## Implemented Interfaces

CallsDBusCallsCallProxy implements GDBusInterface, GInitable, GAsyncInitable and CallsDBusCallsCall.

CallsDBusCallsCallSkeleton implements GDBusInterface and CallsDBusCallsCall.

CallsDBusObjectProxy implements GDBusObject and CallsDBusObject.

CallsDBusObjectSkeleton implements GDBusObject and CallsDBusObject.

CallsDBusObjectManagerClient implements GInitable, GAsyncInitable and GDBusObjectManager.

## Known Implementations

CallsDBusCallsCall is implemented by CallsDBusCallsCallProxy and CallsDBusCallsCallSkeleton.

CallsDBusObject is implemented by CallsDBusObjectProxy and CallsDBusObjectSkeleton.

## Description

## Functions

### calls_dbus_calls_call_interface_info ()

    GDBusInterfaceInfo *
    calls_dbus_calls_call_interface_info (void);

Gets a machine-readable description of the org.gnome.Calls.Call D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### calls_dbus_calls_call_override_properties ()

    guint
    calls_dbus_calls_call_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the CallsDBusCallsCall interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### calls_dbus_calls_call_complete_accept ()

    void
    calls_dbus_calls_call_complete_accept (CallsDBusCallsCall *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Accept()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. | [transfer full]

### calls_dbus_calls_call_complete_hangup ()

    void
    calls_dbus_calls_call_complete_hangup (CallsDBusCallsCall *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Hangup()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. | [transfer full]

### calls_dbus_calls_call_complete_send_dtmf ()

    void
    calls_dbus_calls_call_complete_send_dtmf
                                   (CallsDBusCallsCall *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SendDtmf()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. | [transfer full]

### calls_dbus_calls_call_complete_silence ()

    void
    calls_dbus_calls_call_complete_silence
                                   (CallsDBusCallsCall *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Silence()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. | [transfer full]

### calls_dbus_calls_call_call_accept ()

    void
    calls_dbus_calls_call_call_accept (CallsDBusCallsCall *proxy,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Accept()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_calls_call_call_accept_finish()` to get the result of the operation.

See `calls_dbus_calls_call_call_accept_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### calls_dbus_calls_call_call_accept_finish ()

    gboolean
    calls_dbus_calls_call_call_accept_finish
                                   (CallsDBusCallsCall *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_calls_call_call_accept()`.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_calls_call_call_accept()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_call_accept_sync ()

    gboolean
    calls_dbus_calls_call_call_accept_sync
                                   (CallsDBusCallsCall *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Accept()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `calls_dbus_calls_call_call_accept()` for the asynchronous version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_call_hangup ()

    void
    calls_dbus_calls_call_call_hangup (CallsDBusCallsCall *proxy,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Hangup()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_calls_call_call_hangup_finish()` to get the result of the operation.

See `calls_dbus_calls_call_call_hangup_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### calls_dbus_calls_call_call_hangup_finish ()

    gboolean
    calls_dbus_calls_call_call_hangup_finish
                                   (CallsDBusCallsCall *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_calls_call_call_hangup()`.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_calls_call_call_hangup()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_call_hangup_sync ()

    gboolean
    calls_dbus_calls_call_call_hangup_sync
                                   (CallsDBusCallsCall *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Hangup()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `calls_dbus_calls_call_call_hangup()` for the asynchronous version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_call_send_dtmf ()

    void
    calls_dbus_calls_call_call_send_dtmf (CallsDBusCallsCall *proxy,
                                          const gchar *arg_tone,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously invokes the `SendDtmf()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_calls_call_call_send_dtmf_finish()` to get the result of the operation.

See `calls_dbus_calls_call_call_send_dtmf_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
arg_tone | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### calls_dbus_calls_call_call_send_dtmf_finish ()

    gboolean
    calls_dbus_calls_call_call_send_dtmf_finish
                                   (CallsDBusCallsCall *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_calls_call_call_send_dtmf()`.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_calls_call_call_send_dtmf()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_call_send_dtmf_sync ()

    gboolean
    calls_dbus_calls_call_call_send_dtmf_sync
                                   (CallsDBusCallsCall *proxy,
                                    const gchar *arg_tone,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SendDtmf()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `calls_dbus_calls_call_call_send_dtmf()` for the asynchronous version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
arg_tone | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_call_silence ()

    void
    calls_dbus_calls_call_call_silence (CallsDBusCallsCall *proxy,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `Silence()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_calls_call_call_silence_finish()` to get the result of the operation.

See `calls_dbus_calls_call_call_silence_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### calls_dbus_calls_call_call_silence_finish ()

    gboolean
    calls_dbus_calls_call_call_silence_finish
                                   (CallsDBusCallsCall *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_calls_call_call_silence()`.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_calls_call_call_silence()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_call_silence_sync ()

    gboolean
    calls_dbus_calls_call_call_silence_sync
                                   (CallsDBusCallsCall *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Silence()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `calls_dbus_calls_call_call_silence()` for the asynchronous version of this method.

#### Parameters

proxy | A CallsDBusCallsCallProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### calls_dbus_calls_call_get_inbound ()

    gboolean
    calls_dbus_calls_call_get_inbound (CallsDBusCallsCall *object);

Gets the value of the "Inbound" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value.

### calls_dbus_calls_call_set_inbound ()

    void
    calls_dbus_calls_call_set_inbound (CallsDBusCallsCall *object,
                                       gboolean value);

Sets the "Inbound" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_state ()

    guint
    calls_dbus_calls_call_get_state (CallsDBusCallsCall *object);

Gets the value of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value.

### calls_dbus_calls_call_set_state ()

    void
    calls_dbus_calls_call_set_state (CallsDBusCallsCall *object,
                                     guint value);

Sets the "State" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_id ()

    const gchar *
    calls_dbus_calls_call_get_id (CallsDBusCallsCall *object);

Gets the value of the "Id" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `calls_dbus_calls_call_dup_id()` if on another thread.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### calls_dbus_calls_call_dup_id ()

    gchar *
    calls_dbus_calls_call_dup_id (CallsDBusCallsCall *object);

Gets a copy of the "Id" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### calls_dbus_calls_call_set_id ()

    void
    calls_dbus_calls_call_set_id (CallsDBusCallsCall *object,
                                  const gchar *value);

Sets the "Id" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_display_name ()

    const gchar *
    calls_dbus_calls_call_get_display_name
                                   (CallsDBusCallsCall *object);

Gets the value of the "DisplayName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `calls_dbus_calls_call_dup_display_name()` if on another thread.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### calls_dbus_calls_call_dup_display_name ()

    gchar *
    calls_dbus_calls_call_dup_display_name
                                   (CallsDBusCallsCall *object);

Gets a copy of the "DisplayName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### calls_dbus_calls_call_set_display_name ()

    void
    calls_dbus_calls_call_set_display_name
                                   (CallsDBusCallsCall *object,
                                    const gchar *value);

Sets the "DisplayName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_image_path ()

    const gchar *
    calls_dbus_calls_call_get_image_path (CallsDBusCallsCall *object);

Gets the value of the "ImagePath" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `calls_dbus_calls_call_dup_image_path()` if on another thread.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### calls_dbus_calls_call_dup_image_path ()

    gchar *
    calls_dbus_calls_call_dup_image_path (CallsDBusCallsCall *object);

Gets a copy of the "ImagePath" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### calls_dbus_calls_call_set_image_path ()

    void
    calls_dbus_calls_call_set_image_path (CallsDBusCallsCall *object,
                                          const gchar *value);

Sets the "ImagePath" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_protocol ()

    const gchar *
    calls_dbus_calls_call_get_protocol (CallsDBusCallsCall *object);

Gets the value of the "Protocol" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `calls_dbus_calls_call_dup_protocol()` if on another thread.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### calls_dbus_calls_call_dup_protocol ()

    gchar *
    calls_dbus_calls_call_dup_protocol (CallsDBusCallsCall *object);

Gets a copy of the "Protocol" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### calls_dbus_calls_call_set_protocol ()

    void
    calls_dbus_calls_call_set_protocol (CallsDBusCallsCall *object,
                                        const gchar *value);

Sets the "Protocol" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_encrypted ()

    gboolean
    calls_dbus_calls_call_get_encrypted (CallsDBusCallsCall *object);

Gets the value of the "Encrypted" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value.

### calls_dbus_calls_call_set_encrypted ()

    void
    calls_dbus_calls_call_set_encrypted (CallsDBusCallsCall *object,
                                         gboolean value);

Sets the "Encrypted" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_can_dtmf ()

    gboolean
    calls_dbus_calls_call_get_can_dtmf (CallsDBusCallsCall *object);

Gets the value of the "CanDtmf" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value.

### calls_dbus_calls_call_set_can_dtmf ()

    void
    calls_dbus_calls_call_set_can_dtmf (CallsDBusCallsCall *object,
                                        gboolean value);

Sets the "CanDtmf" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_get_hints ()

    GVariant *
    calls_dbus_calls_call_get_hints (CallsDBusCallsCall *object);

Gets the value of the "Hints" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `calls_dbus_calls_call_dup_hints()` if on another thread.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### calls_dbus_calls_call_dup_hints ()

    GVariant *
    calls_dbus_calls_call_dup_hints (CallsDBusCallsCall *object);

Gets a copy of the "Hints" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### calls_dbus_calls_call_set_hints ()

    void
    calls_dbus_calls_call_set_hints (CallsDBusCallsCall *object,
                                     GVariant *value);

Sets the "Hints" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A CallsDBusCallsCall. |
value | The value to set. |

### calls_dbus_calls_call_proxy_new ()

    void
    calls_dbus_calls_call_proxy_new (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.Calls.Call. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_calls_call_proxy_new_finish()` to get the result of the operation.

See `calls_dbus_calls_call_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### calls_dbus_calls_call_proxy_new_finish ()

    CallsDBusCallsCall *
    calls_dbus_calls_call_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_calls_call_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_calls_call_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type CallsDBusCallsCallProxy]

### calls_dbus_calls_call_proxy_new_sync ()

    CallsDBusCallsCall *
    calls_dbus_calls_call_proxy_new_sync (GDBusConnection *connection,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.Calls.Call. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `calls_dbus_calls_call_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type CallsDBusCallsCallProxy]

### calls_dbus_calls_call_proxy_new_for_bus ()

    void
    calls_dbus_calls_call_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `calls_dbus_calls_call_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_calls_call_proxy_new_for_bus_finish()` to get the result of the operation.

See `calls_dbus_calls_call_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### calls_dbus_calls_call_proxy_new_for_bus_finish ()

    CallsDBusCallsCall *
    calls_dbus_calls_call_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_calls_call_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_calls_call_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type CallsDBusCallsCallProxy]

### calls_dbus_calls_call_proxy_new_for_bus_sync ()

    CallsDBusCallsCall *
    calls_dbus_calls_call_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `calls_dbus_calls_call_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `calls_dbus_calls_call_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type CallsDBusCallsCallProxy]

### calls_dbus_calls_call_skeleton_new ()

    CallsDBusCallsCall *
    calls_dbus_calls_call_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.Calls.Call.

#### Returns

The skeleton object.

[transfer full][type CallsDBusCallsCallSkeleton]

### calls_dbus_object_get_calls_call ()

    CallsDBusCallsCall *
    calls_dbus_object_get_calls_call (CallsDBusObject *object);

Gets the CallsDBusCallsCall instance for the D-Bus interface org.gnome.Calls.Call on `object` , if any.

#### Parameters

object | A CallsDBusObject. |

#### Returns

A CallsDBusCallsCall that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### calls_dbus_object_peek_calls_call ()

    CallsDBusCallsCall *
    calls_dbus_object_peek_calls_call (CallsDBusObject *object);

Like `calls_dbus_object_get_calls_call()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A CallsDBusObject. |

#### Returns

A CallsDBusCallsCall or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### calls_dbus_object_proxy_new ()

    CallsDBusObjectProxy *
    calls_dbus_object_proxy_new (GDBusConnection *connection,
                                 const gchar *object_path);

Creates a new proxy object.

#### Parameters

connection | A GDBusConnection. |
object_path | An object path. |

#### Returns

The proxy object.

[transfer full]

### calls_dbus_object_skeleton_new ()

    CallsDBusObjectSkeleton *
    calls_dbus_object_skeleton_new (const gchar *object_path);

Creates a new skeleton object.

#### Parameters

object_path | An object path. |

#### Returns

The skeleton object.

[transfer full]

### calls_dbus_object_skeleton_set_calls_call ()

    void
    calls_dbus_object_skeleton_set_calls_call
                                   (CallsDBusObjectSkeleton *object,
                                    CallsDBusCallsCall *interface_);

Sets the CallsDBusCallsCall instance for the D-Bus interface org.gnome.Calls.Call on `object` .

#### Parameters

object | A CallsDBusObjectSkeleton. |
interface_ | A CallsDBusCallsCall or `NULL` to clear the interface. | [nullable]

### calls_dbus_object_manager_client_get_proxy_type ()

    GType
    calls_dbus_object_manager_client_get_proxy_type
                                   (GDBusObjectManagerClient *manager,
                                    const gchar *object_path,
                                    const gchar *interface_name,
                                    gpointer user_data);

A GDBusProxyTypeFunc that maps `interface_name` to the generated GDBusObjectProxy derived and GDBusProxy derived types.

#### Parameters

manager | A GDBusObjectManagerClient. |
object_path | The object path of the remote object (unused). |
interface_name | Interface name of the remote object or `NULL` to get the object proxy GType. | [nullable]
user_data | User data (unused). |

#### Returns

A GDBusProxy derived GType if `interface_name` is not `NULL`, otherwise the GType for CallsDBusObjectProxy.

### calls_dbus_object_manager_client_new ()

    void
    calls_dbus_object_manager_client_new (GDBusConnection *connection,
                                          GDBusObjectManagerClientFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously creates GDBusObjectManagerClient using `calls_dbus_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_object_manager_client_new_finish()` to get the result of the operation.

See `calls_dbus_object_manager_client_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### calls_dbus_object_manager_client_new_finish ()

    GDBusObjectManager *
    calls_dbus_object_manager_client_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_object_manager_client_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_object_manager_client_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type CallsDBusObjectManagerClient]

### calls_dbus_object_manager_client_new_sync ()

    GDBusObjectManager *
    calls_dbus_object_manager_client_new_sync
                                   (GDBusConnection *connection,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates GDBusObjectManagerClient using `calls_dbus_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `calls_dbus_object_manager_client_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type CallsDBusObjectManagerClient]

### calls_dbus_object_manager_client_new_for_bus ()

    void
    calls_dbus_object_manager_client_new_for_bus
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `calls_dbus_object_manager_client_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `calls_dbus_object_manager_client_new_for_bus_finish()` to get the result of the operation.

See `calls_dbus_object_manager_client_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### calls_dbus_object_manager_client_new_for_bus_finish ()

    GDBusObjectManager *
    calls_dbus_object_manager_client_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `calls_dbus_object_manager_client_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `calls_dbus_object_manager_client_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type CallsDBusObjectManagerClient]

### calls_dbus_object_manager_client_new_for_bus_sync ()

    GDBusObjectManager *
    calls_dbus_object_manager_client_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `calls_dbus_object_manager_client_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `calls_dbus_object_manager_client_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type CallsDBusObjectManagerClient]

## Types and Values

### struct CallsDBusCallsCallIface

    struct CallsDBusCallsCallIface {
      GTypeInterface parent_iface;

      gboolean (*handle_accept) (
        CallsDBusCallsCall *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_hangup) (
        CallsDBusCallsCall *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_send_dtmf) (
        CallsDBusCallsCall *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_tone);

      gboolean (*handle_silence) (
        CallsDBusCallsCall *object,
        GDBusMethodInvocation *invocation);

      gboolean  (*get_can_dtmf) (CallsDBusCallsCall *object);

      const gchar * (*get_display_name) (CallsDBusCallsCall *object);

      gboolean  (*get_encrypted) (CallsDBusCallsCall *object);

      GVariant * (*get_hints) (CallsDBusCallsCall *object);

      const gchar * (*get_id) (CallsDBusCallsCall *object);

      const gchar * (*get_image_path) (CallsDBusCallsCall *object);

      gboolean  (*get_inbound) (CallsDBusCallsCall *object);

      const gchar * (*get_protocol) (CallsDBusCallsCall *object);

      guint  (*get_state) (CallsDBusCallsCall *object);
    };

Virtual table for the D-Bus interface org.gnome.Calls.Call.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_accept` () | Handler for the “handle-accept” signal. |
`handle_hangup` () | Handler for the “handle-hangup” signal. |
`handle_send_dtmf` () | Handler for the “handle-send-dtmf” signal. |
`handle_silence` () | Handler for the “handle-silence” signal. |
`get_can_dtmf` () | Getter for the “can-dtmf” property. |
`get_display_name` () | Getter for the “display-name” property. |
`get_encrypted` () | Getter for the “encrypted” property. |
`get_hints` () | Getter for the “hints” property. |
`get_id` () | Getter for the “id” property. |
`get_image_path` () | Getter for the “image-path” property. |
`get_inbound` () | Getter for the “inbound” property. |
`get_protocol` () | Getter for the “protocol” property. |
`get_state` () | Getter for the “state” property. |

### struct CallsDBusCallsCallProxy

    struct CallsDBusCallsCallProxy;

The CallsDBusCallsCallProxy structure contains only private data and should only be accessed using the provided API.

### struct CallsDBusCallsCallProxyClass

    struct CallsDBusCallsCallProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for CallsDBusCallsCallProxy.

#### Members

### struct CallsDBusCallsCallSkeleton

    struct CallsDBusCallsCallSkeleton;

The CallsDBusCallsCallSkeleton structure contains only private data and should only be accessed using the provided API.

### struct CallsDBusCallsCallSkeletonClass

    struct CallsDBusCallsCallSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for CallsDBusCallsCallSkeleton.

#### Members

### struct CallsDBusObjectIface

    struct CallsDBusObjectIface {
      GTypeInterface parent_iface;
    };

Virtual table for the CallsDBusObject interface.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct CallsDBusObjectProxy

    struct CallsDBusObjectProxy;

The CallsDBusObjectProxy structure contains only private data and should only be accessed using the provided API.

### struct CallsDBusObjectProxyClass

    struct CallsDBusObjectProxyClass {
      GDBusObjectProxyClass parent_class;
    };

Class structure for CallsDBusObjectProxy.

#### Members

### struct CallsDBusObjectSkeleton

    struct CallsDBusObjectSkeleton;

The CallsDBusObjectSkeleton structure contains only private data and should only be accessed using the provided API.

### struct CallsDBusObjectSkeletonClass

    struct CallsDBusObjectSkeletonClass {
      GDBusObjectSkeletonClass parent_class;
    };

Class structure for CallsDBusObjectSkeleton.

#### Members

### struct CallsDBusObjectManagerClient

    struct CallsDBusObjectManagerClient;

The CallsDBusObjectManagerClient structure contains only private data and should only be accessed using the provided API.

### struct CallsDBusObjectManagerClientClass

    struct CallsDBusObjectManagerClientClass {
      GDBusObjectManagerClientClass parent_class;
    };

Class structure for CallsDBusObjectManagerClient.

#### Members

### CallsDBusCallsCall

    typedef struct _CallsDBusCallsCall CallsDBusCallsCall;

Abstract interface type for the D-Bus interface org.gnome.Calls.Call.

### CallsDBusCallsCallProxyPrivate

    typedef struct _CallsDBusCallsCallProxyPrivate CallsDBusCallsCallProxyPrivate;

### CallsDBusCallsCallSkeletonPrivate

    typedef struct _CallsDBusCallsCallSkeletonPrivate CallsDBusCallsCallSkeletonPrivate;

### CallsDBusObject

    typedef struct _CallsDBusObject CallsDBusObject;

The CallsDBusObject type is a specialized container of interfaces.

### CallsDBusObjectManagerClientPrivate

    typedef struct _CallsDBusObjectManagerClientPrivate CallsDBusObjectManagerClientPrivate;

### CallsDBusObjectProxyPrivate

    typedef struct _CallsDBusObjectProxyPrivate CallsDBusObjectProxyPrivate;

### CallsDBusObjectSkeletonPrivate

    typedef struct _CallsDBusObjectSkeletonPrivate CallsDBusObjectSkeletonPrivate;

## Property Details

### The `“can-dtmf”` property

      “can-dtmf”                 gboolean

Represents the D-Bus property "CanDtmf".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: FALSE

### The `“display-name”` property

      “display-name”             char *

Represents the D-Bus property "DisplayName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: NULL

### The `“encrypted”` property

      “encrypted”                gboolean

Represents the D-Bus property "Encrypted".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: FALSE

### The `“hints”` property

      “hints”                    GVariant *

Represents the D-Bus property "Hints".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Allowed values: GVariant<a{sv}>

Default value: NULL

### The `“id”` property

      “id”                       char *

Represents the D-Bus property "Id".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: NULL

### The `“image-path”` property

      “image-path”               char *

Represents the D-Bus property "ImagePath".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: NULL

### The `“inbound”` property

      “inbound”                  gboolean

Represents the D-Bus property "Inbound".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: FALSE

### The `“protocol”` property

      “protocol”                 char *

Represents the D-Bus property "Protocol".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: NULL

### The `“state”` property

      “state”                    guint

Represents the D-Bus property "State".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: CallsDBusCallsCall

Flags: Read / Write

Default value: 0

### The `“calls-call”` property

      “calls-call”               CallsDBusCallsCall *

The CallsDBusCallsCall instance corresponding to the D-Bus interface org.gnome.Calls.Call, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: CallsDBusObject

Flags: Read / Write

## Signal Details

### The `“handle-accept”` signal

    gboolean
    user_function (CallsDBusCallsCall    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Accept()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `calls_dbus_calls_call_complete_accept()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-hangup”` signal

    gboolean
    user_function (CallsDBusCallsCall    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Hangup()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `calls_dbus_calls_call_complete_hangup()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-send-dtmf”` signal

    gboolean
    user_function (CallsDBusCallsCall    *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_tone,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SendDtmf()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `calls_dbus_calls_call_complete_send_dtmf()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. |
arg_tone | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-silence”` signal

    gboolean
    user_function (CallsDBusCallsCall    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Silence()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `calls_dbus_calls_call_complete_silence()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A CallsDBusCallsCall. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last